System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.IList

The interface allows an inheriting class to implement a Parameter collection. For more information about Parameter classes, see Using Stored Procedures with a Command.

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement the inherited members, and typically define additional members to add provider-specific functionality. For example, the interface defines one implementation of the method. In turn, the class inherits this method, and defines two additional overloads of RemoveAt.

Collects all parameters relevant to a Command object and their mappings to columns, and is implemented by .NET Framework data providers that access data sources.

- Method
  System.Boolean `` To be added

  Gets a value indicating whether a parameter in the collection has the specified name.

  true if the collection contains the parameter; otherwise, false.

  The name of the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the within the collection.

  The zero-based location of the within the collection.

  The name of the parameter. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the from the collection.

  The name of the parameter. 1.0.5000.0 2.0.0.0